--- title: "Get Sub-Account Bucket Utilization" slug: "get-sub-account-bucket-utilization" updated: 2026-02-25T13:56:58Z published: 2026-02-25T13:57:17Z canonical: "docs.wasabi.com/get-sub-account-bucket-utilization" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Sub-Account Bucket Utilization Get/v1/sub-accounts/{subAccountId}/buckets Read all bucket utilization for a Sub-Account. SecurityHTTPType basic HTTP Basic Authentication using your WACM username and API key. For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication). Path parameterssubAccountIdintegerRequired Sub-Account ID Query parameterspageinteger Page number sizeinteger Number of items per page fromstring (date) Start date (YYYY-MM-DD) tostring (date) End date (YYYY-MM-DD) latestboolean Retrieve only the latest bucket utilization namestring Filter by bucket name bucketNumberinteger Filter by bucket number regionstring Filter by region Responses200 Successfully retrieved bucket utilization ```json { "success": "True", "data": { "items": [ { "id": "789013", "name": "sub-account-bucket", "region": "us-east-1", "bucketNumber": "12346", "startTime": "2024-01-15", "endTime": "2024-01-15", "bucketDeleteTime": "2024-02-01", "activeStorage": "0.25", "deletedStorage": "0.005", "storageWrote": "0.1", "storageRead": "0.03", "activeObjects": "8000", "deletedObjects": "50", "egress": "0.05", "ingress": "0.15", "apiCalls": "25000" } ], "page": "1", "size": "20", "total": "1" } } ``` Expand Allobject successboolean dataobject items Array of object (BucketUtilizationResponse) object idinteger namestring regionstring bucketNumberinteger startTimestring (date) endTimestring (date) bucketDeleteTimestring (date) | null Date the bucket was deleted. Null if the bucket is still active. activeStoragenumber Active storage in TB deletedStoragenumber Deleted storage in TB storageWrotenumber Storage written in TB storageReadnumber Storage read in TB activeObjectsinteger deletedObjectsinteger egressnumber Egress in GB ingressnumber Ingress in GB apiCallsinteger pageinteger sizeinteger totalinteger